Skip to content

v2_services_instances_list_retrieve

GET
/api/v2/services/instances/list/
curl --request GET \
--url https://example.com/api/v2/services/instances/list/ \
--header 'X-API-Key: <X-API-Key>'

List service instances (VMs). Filter with service_type=vm and compare meta.active_total against numVmLimit to check quota before creating a VM.

date_from
string format: date-time
date_to
string format: date-time
page
integer
page_size
integer
provider
string
region
string
search
string
service_type
string
sort_by
string
sort_dir
string
status
string
Media typeapplication/json
object
success
required
boolean
data
nullable
meta
object
page
integer
size
integer
total
integer
active_total
integer
total_pages
integer
has_next
boolean
has_prev
boolean
sort_by
string
sort_dir
string
msg
object
msg_kind
string
msg_text
string
error
string
pagination
object
count
integer
next
string
nullable
previous
string
nullable

Example generated

{
"success": true,
"data": "example",
"meta": {
"page": 1,
"size": 1,
"total": 1,
"active_total": 1,
"total_pages": 1,
"has_next": true,
"has_prev": true,
"sort_by": "example",
"sort_dir": "example"
},
"msg": {
"msg_kind": "example",
"msg_text": "example"
},
"error": "example",
"pagination": {
"count": 1,
"next": "example",
"previous": "example"
}
}